Bug 5504 - Security descriptor doc bugs
: Security descriptor doc bugs
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: 4.0.4
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-08-28 15:13 by
Modified: 2007-09-07 13:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-28 15:13:36
This is a documentation bug report:

http://www.globus.org/toolkit/docs/4.0/security/authzframe/security_descriptor.html#s-authzfram-secdesc-descProgram

- The preamble to section 3 refers to section 5, but I believe it should refer
to section 7.

- The properties listed in section 7 are not unique to the container security
descriptor.  As far as I can tell, the first property (context-lifetime) may be
used in a service security descriptor while the second property
(replay-attack-interval) doesn't seem to exist at all.  Did you intend to refer
to context-timer-interval and replay-timer-interval?
------- Comment #1 From 2007-08-29 09:20:11 -------
Fix committed to cvs.

Tom, thanks for your bug report.

Rachana
------- Comment #2 From 2007-08-30 17:01:03 -------
There are additional typos in this document.  The following example

<globalConfiguration>
   ...
   <parameter name="containerSecDesc"
              value="etc/container-security-config.xml">
   ...
<globalConfiguration>

should read (I think) as follows:

<globalConfiguration>
   ...
   <parameter name="containerSecDesc"
              value="etc/globus_wsrf_core/global_security_descriptor.xml">
   ...
<globalConfiguration>

Also, in the next line, the phrase

global_security_descriptorn.xml

should be changed to

global_security_descriptor.xml
------- Comment #3 From 2007-09-07 13:19:05 -------
Updated, the first was meant to be format sample to show it can point to any
file. Added a separate snippet to point to the default descriptor.

Thanks for the patch.